Themes
Get an application theme
Returns one of your company’s themes with its templates (including full Liquid content), versions, images, and Git repositories. Pass version to read the theme as it was at a past version. Requires a company Bearer token with permission to view themes. Themes belonging to another company return 404.
GET
/
api
/
application_themes
/
{id}
Get an application theme
curl --request GET \
--url https://api.fluid.app/api/application_themes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/application_themes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/application_themes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application_theme": {
"id": 48213,
"name": "Scranton Storefront",
"description": null,
"status": "active",
"source": "fluid",
"variables": "{\"primary_color\":\"#1B4F9C\",\"accent_color\":\"#F2C230\",\"font_family\":\"Courier Prime\"}",
"created_at": "2026-09-02T14:12:08Z",
"updated_at": "2026-09-18T16:40:55Z",
"version": "1.0",
"custom_stylesheet": null,
"global_stylesheet": null,
"theme_stylesheet_tag_injected": true,
"theme_stylesheet_columns_hidden": true,
"company_id": 1405,
"cover_image": "https://cdn.fluid.app/themes/48213/scranton-storefront-cover.jpg",
"outdated": false,
"versions": [
{
"version": 12,
"created_at": "2026-09-18T16:40:55Z",
"published": true,
"current": true,
"author_id": 90417,
"author_name": "Michael Scott"
},
{
"version": 11,
"created_at": "2026-09-15T09:03:21Z",
"published": false,
"current": false,
"author_id": 90422,
"author_name": "Pam Beesly"
}
],
"application_theme_templates": [
{
"id": 771204,
"name": "Home page",
"status": "active",
"themeable_type": "home_page",
"company_id": 1405,
"default": true,
"global": false,
"application_theme_id": 48213,
"source": "theme",
"content": "{% section 'hero-banner' %}\n{% section 'featured-products' %}",
"created_at": "2026-09-02T14:12:09Z",
"updated_at": "2026-09-17T11:26:44Z"
}
],
"images": [
{
"id": 30581,
"url": "https://cdn.fluid.app/themes/48213/scranton-storefront-cover.jpg",
"position": 0
}
],
"git_sync_repos": [
{
"id": 5127,
"role": "primary",
"status": "connected",
"repo_full_name": "fluid-gitsync/theme-48213",
"default_branch": "main",
"last_push_at": "2026-09-18T16:41:02Z",
"last_pull_at": null,
"status_updated_at": "2026-09-02T14:12:31Z",
"last_error": null
}
]
},
"meta": {
"request_id": "3f9c2a7e-6b1d-4e8a-9c52-7d0e4b1a2f63",
"timestamp": "2026-09-18T16:40:56Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Get an application theme
